Bug 429353 - qpxtool doesn't work under kernel 2.6.23.12-52.fc7
qpxtool doesn't work under kernel 2.6.23.12-52.fc7
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On: 428281
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-18 15:54 EST by Chuck Ebbert
Modified: 2008-01-29 00:14 EST (History)
0 users

See Also:
Fixed In Version: 2.6.23.14-64.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 00:14:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chuck Ebbert 2008-01-18 15:54:39 EST
+++ This bug was initially created as a clone of Bug #428281 +++

Description of problem:

If I try to run it under the latest FC7 kernel I get the errors
  Selected: /dev/scd0
! :-( unable to MODE_SENSE(10) : Input/output error
! :-( unable to MODE_SENSE(10) : Input/output error
  
  ** Reading supported mode pages...
! :-( unable to MODE_SENSE(10) : Input/output error
! :-( unable to GET_CONFIGURATION LENGTH : Input/output error
! :-( unable to MODE_SENSE(10) : Input/output error

and the information on the media pages is all wrong like DVDs are shown as CDs

Under kernel 2.6.23.8-34 it works ok.


Version-Release number of selected component (if applicable):
qpxtool-0.6.1-5.fc7


How reproducible:
Just run under specified kernel
Drive is lite-on /dev/scd0: ATAPI    DVD A  DH20A3P   XP5Z

Actual results:
See description

Expected results:
Selected: /dev/scd0^M
Buffer capacity: 0x0800 (2048)KB^M
CD parameters page length: 0x3A^M
 2A 3A 3F 37 F1 77 29 23^M
 56 90 01 00 08 00 56 90^M
 00 10 56 90 56 90 00 01^M
 00 00 00 01 56 90 00 05^M
...

Additional info:

-- Additional comment from adel.gadllah@gmail.com on 2008-01-10 11:18 EST --
can you attach your dmesg output?

-- Additional comment from djg@pdp8online.com on 2008-01-10 12:14 EST --
Created an attachment (id=291299)
dmesg output 


-- Additional comment from cebbert@redhat.com on 2008-01-10 13:21 EST --
It's possible that the program is sending misformatted SCSI commands that are
being detected by the new length-checking logic in more recent kernels.

This problem occurs on kernel 2.6.24-rc7 too, and the sg3_utils mode sense
program (sg_modes) seems to work okay on all kernels I tried.


-- Additional comment from adel.gadllah@gmail.com on 2008-01-11 12:13 EST --
(In reply to comment #3)
> It's possible that the program is sending misformatted SCSI commands that are
> being detected by the new length-checking logic in more recent kernels.
> 
> This problem occurs on kernel 2.6.24-rc7 too, and the sg3_utils mode sense
> program (sg_modes) seems to work okay on all kernels I tried.
> 

seems like reverting linux-2.6-libata-scsi-allow-short-commands.patch fixes the
problem.


-- Additional comment from adel.gadllah@gmail.com on 2008-01-11 18:03 EST --
David, please try this build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=343308

-- Additional comment from djg@pdp8online.com on 2008-01-11 18:45 EST --
Almost works.  The media page looks good and read transfer rate test works but
the DVD check PIE doesn't work. The GUI just says all test complete immediately.
In the terminal window it displays: 

set_scan_commands(LITE-ON )
** scan speed: 12x
Remaining: 13.000 sec...
:-( unable to LiteOn_init_pi_scan : Input/output error

** Starting LITE-ON  PIE/PIF sum8 scan...
Error initializing test!
Disc info length: 0x0020
   0x00 0x20 0x0E 0x01 0x01 0x01 0x01 0x20
   0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00
   0xFF 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF
   0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00
   0x00 0x00
   first track# on disc: 1

On media page selected commands Lite-on, speed 12x and PIE(sum8) check box.


-- Additional comment from cebbert@redhat.com on 2008-01-11 18:51 EST --
(In reply to comment #6)
> Almost works.  The media page looks good and read transfer rate test works but
> the DVD check PIE doesn't work. The GUI just says all test complete immediately.
> In the terminal window it displays: 
> 
> set_scan_commands(LITE-ON )
> ** scan speed: 12x
> Remaining: 13.000 sec...
> :-( unable to LiteOn_init_pi_scan : Input/output error
> 

Are there any error messages in the system log when this happens?


-- Additional comment from djg@pdp8online.com on 2008-01-11 19:32 EST --
Nothing in dmesg or /var/log/messages
Comment 1 Chuck Ebbert 2008-01-18 16:28:41 EST
Fixed in 2.6.23.14-63
Comment 2 Fedora Update System 2008-01-24 16:58:29 EST
kernel-2.6.23.14-64.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'
Comment 3 Fedora Update System 2008-01-29 00:14:34 EST
kernel-2.6.23.14-64.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.